/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
/**
 * @param passwordText  The password to be used for checking.
 * @param style  (Optional) Custom style to style the password requirements.
 */
declare type PasswordRequirementsProps = {
    passwordText: string;
    style?: StyleProp<ViewStyle>;
};
/**
 * Creates a view to be shown under a password input field. Shows indication
 * if the password meets a number of validation checks: hasValidLength, hasValidNumbers,
 * hasValidUpperCase, hasValidLowerCase, and hasValidSpecialCharacters.
 *
 * @category Component
 */
export declare const PasswordRequirements: React.FC<PasswordRequirementsProps>;
export {};
