/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
import { ScrollViewProps } from 'react-native';
/**
 * @param topColor  (Optional) The color of the top area's background.
 * @param bottomColor  (Optional) The color of the bottom area's background.
 * @param theme (Optional) react-native-paper theme partial to style the component.
 */
export declare type ScrollViewWithBackgroundProps = ScrollViewProps & {
    topColor?: string;
    bottomColor?: string;
    theme?: ReactNativePaper.Theme;
};
/**
 * Creates two absolutely-positioned Views behind a ScrollView in order to change the
 * background bounce colour (iOS).
 *
 * @category Component
 */
export declare const ScrollViewWithBackground: React.FC<ScrollViewWithBackgroundProps>;
