/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
/**
 * @param visible  If the dialog box should be shown.
 * @param onDismiss  The function to handle the on dismiss action.
 * @param title  The title text of the dialog box.
 * @param bodyText  The body text of the dialog box.
 */
declare type SimpleDialogProps = {
    visible: boolean;
    onDismiss: () => void;
    title: string;
    bodyText: string | null;
};
/**
 * Creates a simple acknowledgement dialog box (with one button, "Okay").
 *
 * @category Component
 */
export declare const SimpleDialog: React.FC<SimpleDialogProps>;
export {};
