/**
 * @packageDocumentation
 * @module Screens
 */
import * as React from 'react';
import 'react-native-gesture-handler';
/**
 * @param theme (Optional) react-native-paper theme partial to style the component.
 * @param extraRoutes (Optional) array of additional screens to be available before authenticating.
 * @param initialRouteName (Optional) default route to load in the PreAuthContainer.
 */
declare type PreAuthContainerProps = {
    theme?: ReactNativePaper.Theme;
    extraRoutes?: JSX.Element;
    initialRouteName?: string;
};
/**
 * Container wrapping status bar and theming customizations to a top-level Stack Navigator which governs access
 * to the login screen, contact screen, reset password flows, and registration flows.
 *
 * @category Component
 */
export declare const PreAuthContainer: React.FC<PreAuthContainerProps>;
export {};
