/**
 * @packageDocumentation
 * @module Screens
 */
import React from 'react';
/**
 * Type for the properties of [[Splash]].
 *
 * @param mainImage (Optional) The top splash image.
 * @param theme (Optional) react-native-paper theme partial for custom styling.
 */
declare type SplashProps = {
    mainImage?: string | number;
    theme?: ReactNativePaper.Theme;
};
/**
 * A splash area to be used on the top of a screen. Has a faint textured background and a mainImage.
 *
 * @category Component
 */
export declare const Splash: React.FC<SplashProps>;
export {};
