/**
 * @packageDocumentation
 * @module Sub-Screens
 */
import React from 'react';
/**
 * Type for the properties of the complete splash component.
 *
 * @param boldTitle  The bold title text.
 * @param bodyText  The body text.
 * @param icon  (Optional) The optional icon to show on the slash. Default 'waves.png'.
 * @param theme (Optional) react-native-paper theme partial for custom styling.
 */
declare type CompleteSplashScreenProps = {
    boldTitle: string;
    bodyText: string;
    icon?: string;
    theme?: ReactNativePaper.Theme;
};
/**
 * Renders the content of the notice of completed account creation / password reset screen.
 *
 * @category Component
 */
export declare const CompleteSplashScreen: React.FC<CompleteSplashScreenProps>;
export {};
