/**
 * @packageDocumentation
 * @module Sub-Screens
 */
import React from 'react';
/**
 * Handle the change of any of the email inputs.
 *
 * @param onEmailChanged  Handle the change of any of the email inputs.
 * @param onSubmit callback called when user submits on the last form field to advance the screen
 * @param theme (Optional) react-native-paper theme partial for custom styling.
 */
declare type CreateAccountProps = {
    initialEmail: string;
    onEmailChanged(email: string): void;
    onSubmit?: () => void;
    theme?: ReactNativePaper.Theme;
};
/**
 * Renders the content of the Create Account screen (input for email).
 *
 * @category Component
 */
export declare const CreateAccount: React.FC<CreateAccountProps>;
export {};
