/**
 * @packageDocumentation
 * @module Sub-Screens
 */
import React from 'react';
/**
 * Type to represent the content of the registration complete component.
 *
 * @param firstName  The first name string.
 * @param lastName  The last name string.
 * @param email  The email string.
 * @param organization  The organization string.
 */
declare type RegistrationCompleteProps = {
    firstName: string;
    lastName: string;
    email: string;
    organization: string;
};
/**
 * Renders the content of the notice of completed account creation screen
 * (textual content referring to user's email, name, and organization).
 *
 * @category Component
 */
export declare const RegistrationComplete: React.FC<RegistrationCompleteProps>;
export {};
